package tests

import (
	"testing"

	. "github.com/warpfork/go-wish"

	dms3ld "gitlab.dms3.io/ld/go-ld-prime"
)

func SpecTestString(t *testing.T, np dms3ld.NodePrototype) {
	t.Run("string node", func(t *testing.T) {
		nb := np.NewBuilder()
		err := nb.AssignString("asdf")
		Wish(t, err, ShouldEqual, nil)
		n := nb.Build()

		Wish(t, n.Kind(), ShouldEqual, dms3ld.Kind_String)
		Wish(t, n.IsNull(), ShouldEqual, false)
		x, err := n.AsString()
		Wish(t, err, ShouldEqual, nil)
		Wish(t, x, ShouldEqual, "asdf")
	})
}
