package schema

import (
	schemadmt "gitlab.dms3.io/ld/go-ld-prime/schema/dmt"
)

type TypeBytes struct {
	name TypeName
	dmt  schemadmt.TypeBytes
	ts   *TypeSystem
}

// -- schema.Type interface satisfaction -->

var _ Type = (*TypeBytes)(nil)

func (t *TypeBytes) _Type() {}

func (t *TypeBytes) TypeSystem() *TypeSystem {
	return t.ts
}

func (TypeBytes) TypeKind() TypeKind {
	return TypeKind_Bytes
}

func (t *TypeBytes) Name() TypeName {
	return t.name
}

func (t TypeBytes) RepresentationBehavior() dms3ld.Kind {
	return dms3ld.Kind_Bytes
}
